Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLAMC3

    java.lang.Object
      org.netlib.lapack.DLAMC3

    public class DLAMC3

extends java.lang.Object

    DLAMC3 is a simplified interface to the JLAPACK routine dlamc3.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAMC3  is intended to force  A  and  B  to be stored prior to doing

     *  the addition of  A  and  B ,  for use in situations where optimizers

     *  might hold one of these in a register.
     *
     *  Arguments
     *  =========
     *
     *  A       (input) DOUBLE PRECISION
     *  B       (input) DOUBLE PRECISION
     *          The values A and B.
     *
     * =====================================================================

     *
     *     .. Executable Statements ..
     *

Constructor Summary
`DLAMC3()`

Method Summary
`static double` | `DLAMC3(double a, double b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLAMC3

    public DLAMC3()

Method Detail

### DLAMC3

    public static double DLAMC3(double a,
                                double b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD